View Issue Details

IDProjectCategoryView StatusLast Update
0003653Ham Radio DeluxeBugpublic2020-04-19 05:07
ReporterWA9PIEAssigned ToDOUG 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version6.7.0.277 
Summary0003653: Trail keys cannot be deactivated
DescriptionWe're getting complaints from trial customers that they cannot deactivate their trial key to activate a permanent key.

Doug has indicated that this is related to a registry permissions issue.
Steps To ReproduceClean machine
Install Ham Radio Deluxe
Activate it with a trial key
Attempt to deactivate the trial key

...trial key will not deactivate.
TagsNo tags attached.
ModuleSW License Mgmt
Sub-ModuleSW License Client
Testing Beta Successful

Activities

WA9PIE

2020-03-26 19:41

administrator   ~0009606

Doug repaired this for the 6.7.0.263 beta. I have had a customer test this (he was having this problem). He reports that the problem has been resolved.

WA9PIE

2020-03-31 05:48

administrator   ~0009639

We have a customer validate this. It's good.

WA9PIE

2020-04-01 18:45

administrator   ~0009642

While I had a customer validate this, I tested this myself on a VM after we got the FT4 changes out and it's not working.

I'll record a video on it. But when you deactivate the key, it runs you though the logic we created for a callsign change... put in the callsign... and it launches the software with the key that you had just tried to deactivate.

WA9PIE

2020-04-01 19:38

administrator   ~0009643

Doug,

I've put a video here: \\GDFS\Shared drives\HRD Software\Doug\DeactivateKey\DeactivateKey.wmv

DOUG

2020-04-14 22:58

developer   ~0009665

I am kicking off a build now, that will give me some idea of what is causing the problem. Can you run it again on the test box, and let me know what error messages pop up?

WA9PIE

2020-04-15 03:39

administrator   ~0009667

Doug,

I tested the 6.7.0.276 beta build and it's now behaving as expected.

As I activated and deactivated beta and permanent keys, I watched these keys being updated correctly in QLM. This is excellent.

The only thing I would change is described in the attached image (simple label items; just text).

If you can make those changes... go ahead and build it as a Release. Given the nature of these changes, I'm going to release this new release version without announcement (ie. it will be published on our website without an announcement).

QLM Key Deactivate.png (59,475 bytes)
QLM Key Deactivate.png (59,475 bytes)

DOUG

2020-04-17 23:08

developer   ~0009668

Changed the text of message box above and Kicked off a release build (277).

As I mentioned in chat, I still have not reproduced this problem, so I am not sure which step of the deactivation was causing the problem. So I am working under the assumption that the exception handling I added fixed it. However, I left the message box in the exception handler just in case this pops up again. So if anyone sees it again, send me a screen shot.

WA9PIE

2020-04-19 05:07

administrator   ~0009669

Tested on test machines and validated by a customer in a help ticket.

Issue History

Date Modified Username Field Change
2020-03-26 19:39 WA9PIE New Issue
2020-03-26 19:41 WA9PIE Status new => resolved
2020-03-26 19:41 WA9PIE Resolution open => fixed
2020-03-26 19:41 WA9PIE Fixed in Version => 6.7.0.263
2020-03-26 19:41 WA9PIE Testing Not Started => Beta Successful
2020-03-26 19:41 WA9PIE Note Added: 0009606
2020-03-31 05:48 WA9PIE Status resolved => closed
2020-03-31 05:48 WA9PIE Note Added: 0009639
2020-04-01 01:32 WA9PIE Fixed in Version 6.7.0.263 => 6.7.0.269
2020-04-01 01:41 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe
2020-04-01 18:45 WA9PIE Assigned To => DOUG
2020-04-01 18:45 WA9PIE Status closed => assigned
2020-04-01 18:45 WA9PIE Resolution fixed => reopened
2020-04-01 18:45 WA9PIE Fixed in Version 6.7.0.269 =>
2020-04-01 18:45 WA9PIE Testing Beta Successful => Beta Failed
2020-04-01 18:45 WA9PIE Note Added: 0009642
2020-04-01 19:38 WA9PIE Note Added: 0009643
2020-04-14 22:58 DOUG Note Added: 0009665
2020-04-15 03:39 WA9PIE File Added: QLM Key Deactivate.png
2020-04-15 03:39 WA9PIE Note Added: 0009667
2020-04-17 23:08 DOUG Note Added: 0009668
2020-04-19 05:07 WA9PIE Status assigned => closed
2020-04-19 05:07 WA9PIE Resolution reopened => fixed
2020-04-19 05:07 WA9PIE Fixed in Version => 6.7.0.277
2020-04-19 05:07 WA9PIE Testing Beta Failed => Beta Successful
2020-04-19 05:07 WA9PIE Note Added: 0009669